%define major     1
%define libname   %mklibname sixel %{major}
%define devname   %mklibname sixel -d

Name:           libsixel
Version:        1.10.3
Release:        %mkrel 1
Summary:        SIXEL encoding and decoding
Group:          System/Libraries
License:        MIT
URL:            https://github.com/libsixel/libsixel
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:         meson.patch

BuildRequires:  meson
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)

%description
An encoder/decoder implementation for DEC SIXEL graphics.

%package -n %{libname}
Summary:        SIXEL encoding and decoding library
Group:          System/Libraries

%description -n %{libname}
An encoder/decoder implementation for DEC SIXEL graphics.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       sixel-devel = %{version}-%{release}

%description -n %{devname}
Development files and headers for %{name}.

%package utils
Summary:        SIXEL encoder and decoder utilities
Group:          Video

%description utils
SIXEL encoder and decoder utilities.

%prep
%autosetup -p1

%build
%meson -Dtests=enabled
%meson_build

%install
%meson_install

rm %{buildroot}%{_libdir}/libsixel.a

%files -n %{libname}
%{_libdir}/libsixel.so.%{major}{,.*}

%files -n %{devname}
%{_bindir}/libsixel-config
%{_includedir}/sixel.h
%{_libdir}/libsixel.so
%{_libdir}/pkgconfig/libsixel.pc

%files utils
%{_bindir}/img2sixel
%{_bindir}/sixel2png
%{_mandir}/man1/img2sixel.1*
%{_mandir}/man1/sixel2png.1*
%{_datadir}/bash-completion/completions/img2sixel
%{_datadir}/zsh/site-functions/_img2sixel


%changelog
* Tue Nov 28 2023 tex - 1.10.3-1pclos2023
- initial package libsixel (needed for mpv)
